/**
 * 公共接口模块
 */

import {get,post} from './index'

/**
 * 上传错误日志
 */
export function apiReportingErrInfo(params){
    let obj={
        ...params,
        timestamp:new Date().toLocaleString(),
        agent:'ETA移动端',
        page:window.location.href,
        token:localStorage.getItem('token')
    }
    return post('/resource/public/wechat_warning',{content:JSON.stringify(obj)})
}

/**
 * 获取oss临时签名
 */
export function apiGetOSSSign(){
    return get('/resource/oss/get_sts_token',{})
}

/**
 * 获取报告微信小程序太阳码
 * @param CodeScene 页面所需参数
 * @param CodePage eg:pages-report/chapterDetail 小程序中的页面路径
 */
export function apiGetWXQRCodeImg(params){
    return post('/report/getSunCode',params)
}

/**
 * 设置系统配置项
 * @param ConfigCode edb指标库语言edb_language；预测指标库语言predict_edb_language
 *                   ETA图库语言chart_language
 * @param ConfigValue 中文CN 英文EN
 */
export function apiCommonSetSysConfig(params){
    return post('/system/sysuser/config/set',params)
}

/**
 * 获取系统中模块语言设置
 * @param SourceKey edb指标库语言edb_language；预测指标库语言predict_edb_language；ETA图库语言chart_language
 */
export function apiGetLanguageConfig(params){
    return get('/system/config/language',params)
}