/**
 * 中文/英文ppt模块
 */

import {get,post} from './index'

/**
 * ppt分类数据
 */
export function apiPPTClassify(){
    if(window.location.pathname.startsWith('/ppten')){
        return get('/ppt_english/groups',{})
    }else{
        return get('/pptv2/groups',{})
    }
}

/**
 * 复制ppt目录
 * @param GroupId 目录id
 */
export function apiPPTCatalogueCopy(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/group/copy',params)
    }else{
        return post('/pptv2/group/copy',params)
    }
}

/**
 * 删除ppt目录
 * @param GroupId 目录id
 */
export function apiPPTCatalogueDel(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/group/delete',params)
    }else{
        return post('/pptv2/group/delete',params)
    }
    
}

/**
 * ppt目录重命名
 * @param GroupId 目录id
 * @param GroupName:目录名称
 */
export function apiPPTCatalogueRename(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/group/rename',params)
    }else{
        return post('/pptv2/group/rename',params)
    }
    
}


/**
 * 删除ppt
 * @param PptId pptid
 */
export function apiPPTDel(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/delete',params)
    }else{
        return post('/pptv2/delete',params)
    }
}

/**
 * 共享/取消共享ppt
 * @param PptId
 */
export function apiPPTShare(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/share',params)
    }else{
        return post('/pptv2/share',params)
    }
    
}

/**
 * 复制ppt到目录
 * @param PptId 
 * @param GroupId
 */
export function apiPPTCopy(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/copy',params)
    }else{
        return post('/pptv2/copy',params)
    }
}

/**
 * 获取ppt详情
 * @param PptId
 */
export function apiPPTDetail(params){
    if(window.location.pathname.startsWith('/ppten')){
        return get('/ppt_english/detail',params)
    }else{
        return get('/pptv2/detail',params)
    }
}

/**
 * 发布ppt
 * @param PptId
 * @param PptxUrl
 */
export function apiPPTPublish(params){
    if(window.location.pathname.startsWith('/ppten')){
        return post('/ppt_english/publish',params)
    }else{
        return post('/pptv2/publish',params)
    }
}

/**
 * 我的ppt列表
 * @param GroupId 分类id
 */
export function apiPPTList(params) {
    if(window.location.pathname.startsWith('/ppten')){
        return get('/ppt_english/group/ppt/list',params)
    }else{
        return get('/pptv2/group/ppt/list',params)
    }
}

/**
 * 公共ppt列表
 * @param AdminId
 */
export function apiPPTPubList(params){
    if(window.location.pathname.startsWith('/ppten')){
        return get('/ppt_english/share/ppt/list',params)
    }else{
        return get('/pptv2/share/ppt/list',params)
    }
}

/**
 * ppt搜索
 * @param Keyword
 */
export function apiPPTSearch(params){
    if(window.location.pathname.startsWith('/ppten')){
        return get('/ppt_english/ppt/list',params)
    }else{
        return get('/pptv2/ppt/list',params)
    }
}